选择哪个版本的PHP套件?

目前我们推出了PHP5.2、5.3、5.4、5.5、5.6和7.0、7.1、7.2等多个版本的PHP套件。

不少用户对于选用哪个版本的PHP套件比较迷茫,为此我们特写此文章进行疏导。

选择PHP版本,主要根据两个因素:1、操作系统  2、PHP程序

由于每个PHP版本具有一些不同的功能,所以部分PHP网站在运行时,只能选择和开发时相同的PHP版本才能正常运行。


一、Linux操作系统(CentOS、Debian、Ubuntu)

    Linux操作系统建议选择“护卫神·Linux大师”,内置数个PHP版本,一键安装LAMP、LNMP。

    安装方法请点这里


二、Windows Server 2003

   此操作系统可以选择:php5.2、5.3和 5.4;推荐选择:

   PHP5.2(ISAPI-32bit):http://d.hws.com/free/phpweb.zip

   PHP5.3(FastCGI-32bit):http://d.hws.com/free/phpwebfcgi53.zip

   PHP5.4(FastCGI-32bit):http://d.hws.com/free/phpwebfcgi54.zip

   其中5.2版本最通用。


三、Windows Server 2008/2012/2016/2019

   所有PHP版本都可以在这两个操作系统上运行,推荐FastCGI模式。

   PHP5.2(FastCGI-32bit):http://d.hws.com/free/phpwebfcgi52.zip

   PHP5.3(FastCGI-32bit):http://d.hws.com/free/phpwebfcgi53.zip

   PHP5.4(FastCGI-32bit):http://d.hws.com/free/phpwebfcgi54.zip

   PHP5.5(FastCGI-64bit):http://d.hws.com/free/phpwebfcgi55.zip

   PHP5.6(FastCGI-64bit):http://d.hws.com/free/phpwebfcgi56.zip

   PHP7.0(FastCGI-64bit):http://d.hws.com/free/phpwebfcgi70.zip

   PHP7.1(FastCGI-64bit):http://d.hws.com/free/phpwebfcgi71.zip

   其中5.6版本最通用。


好消息:

如果您的服务器是Windows 2003以上(不包括2003),推荐直接部署主机大师,自动搭建多版本PHP环境。


主机大师(Windows)详细介绍:https://www.hws.com/soft/hostmaster/


主机大师(Linux)详细介绍:https://www.hws.com/soft/linuxmaster/


Apache大师详细介绍:https://www.hws.com/soft/apache/


Nginx大师详细介绍:https://www.hws.com/soft/nginx/

用户留言
游客[10.213.*.*](2020-1-9 16:42:56)
mysql版本非常老 5.1版本 很多新版特性用不了 如json函数 建议更新下mysql版本 起码也得5.7
[2020-6-11 18:40:29]主机大师已经支持MYSQL5.7,建议选用。
游客[61.54.*.*](2019-5-24 14:24:32)
目录、文件权限检查
目录文件 所需状态 当前状态
./config/config_global.php 可写 目录不存在
./config/config_ucenter.php 可写 目录不存在
./config 可写 不可写
./data 可写 不可写
./data/cache 可写 不可写
./data/avatar 可写 不可写
./data/plugindata 可写 不可写
./data/download 可写 不可写
./data/addonmd5 可写 不可写
./data/template 可写 不可写
./data/threadcache 可写 不可写
./data/attachment 可写 不可写
./data/attachment/album 可写 不可写
./data/attachment/forum 可写 不可写
./data/attachment/group 可写 不可写
./data/log 可写 不可写
./uc_client/data/cache 可写 不可写
./uc_server/data/ 可写 不可写
./uc_server/data/cache 可写 不可写
./uc_server/data/avatar 可写 不可写
./uc_server/data/backup 可写 不可写
./uc_server/data/logs 可写 不可写
./uc_server/data/tmp 可写 不可写
./uc_server/data/view 可写 不可写
函数依赖性检查
函数名称 检查结果 建议
mysql_connect() 支持 无
gethostbyname() 支持 无
file_get_contents() 支持 无
xml_parser_create() 支持 无
fsockopen() 支持 无
请将以上红叉部分修正再试
如何修正以上的
[2021-4-20 14:27:39]请联系我司客服帮您处理
游客[124.236.*.*](2019-4-20 10:51:19)
安装了,竟然不能用, PHP5.4(FastCGI-32bit),安装程序的时候显示空白,不知道为啥!测试了多套程序都是空白,肯定是软件问题
[2021-4-21 9:54:17]您好,请先到php.ini设置display_errors为on,然后重启IIS,再打开网站看下具体错误信息。
游客[220.162.*.*](2019-1-4 15:47:21)
W7,安装php5.6/7.0都会有问题,到了一半卡住。技工说不清楚。额
[2019-2-13 11:17:37]请联系客服查看。